#include <hmg.ch>

#xcommand OPEN ;
		[ OPERATION <operation> ] ;
		[ FILE <file> ] ;
		[ PARAMETERS <parameters> ] ;
		[ DEFAULT <default> ] ;
=> ;
_Execute ( GetActiveWindow() , <operation> , <file> , <parameters> , <default> , 5 )

Function Main

   define window barcode at 0, 0 width 220 height 210 main title 'ean-8 Barcode Generator'
      define label codelabel
         row 10
         col 10
         width 100
         value 'Enter the Code'
      end label
      define textbox code
         row 10
         col 110
         width 80
         TOOLTIP "Enter 8 digit code ( 7 digit for automatic checksum producing )"
         maxlength 8
      end textbox
      define label widthlabel
         row 40
         col 10
         width 100
         value 'Line Width' 
      end label
      define spinner linewidth
         row 40
         col 110
         width 80
         value 2
         rightalign .t.
         rangemin 1
         rangemax 200
      end spinner
      define label heightlabel
         row 70
         col 10
         width 100
         value 'Barcode Height' 
      end label
      define spinner lineheight
         row 70
         col 110
         width 80
         value 110
         rightalign .t.
         increment 10
         rangemin 10
         rangemax 2000
      end spinner
      define label showdigitslabel
         row 100
         col 10
         width 100
         value 'Show Digits' 
      end label
      define checkbox showdigits
         row 100
         col 110
         width 80
         value .t.
      end checkbox
      define button ok
         row 130
         col 70
         width 80
         caption 'Create'
         action createbarcode()
      end button
   end window
   barcode.center
   barcode.activate
Return


function createbarcode
   local cImage := 'barcode.png'
   ean8_barcode( barcode.code.value, cImage, barcode.linewidth.value, barcode.lineheight.value, barcode.showdigits.value )
   if file( cImage )
      open file cImage
   endif   
   return nil
   
   
